#
# Conditional build:
%bcond_with	doc		# build documentation
%bcond_without	tests		# build without tests

Summary:	MySQL Data Dumper
Name:		mydumper
Version:	0.9.5
Release:	1
License:	GPL v3
Group:		Applications/Databases
Source0:	https://github.com/maxbube/mydumper/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6599d60f0088dfe55582a3f71c87f284
URL:		https://github.com/maxbube/mydumper
BuildRequires:	cmake
BuildRequires:	glib2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	mysql-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mydumper/myloader:
- Parallelism (hence, speed) and performance (avoids expensive
  character set conversion routines, efficient code overall)
- Easier to manage output (separate files for tables, dump metadata,
  etc, easy to view/parse data)
- Consistency - maintains snapshot across all threads, provides
  accurate master and slave log positions, etc
- Manageability - supports PCRE for specifying database and tables
  inclusions and exclusions

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DBUILD_DOCS=%{!?with_doc:OFF}%{?with_doc:ON} \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install -C build \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/mydumper
%attr(755,root,root) %{_bindir}/myloader
%changelog
* Thu Nov 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mydumper.git;a=log;h=master

* Thu Nov 29 2018 Elan Ruusamäe <glen@pld-linux.org> 4c7dced
- up to 0.9.5

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 2026b24
- rebuild with mysql 5.7
- release 2 (by relup.sh)

* Sat Oct 07 2017 Elan Ruusamäe <glen@delfi.ee> f77d98b
- update BR

* Sat Oct 07 2017 Elan Ruusamäe <glen@pld-linux.org> f7df5a2
- new, version 0.9.3

